<?php
  require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'equation.php');

  if(!isset($_GET['formula'])) $_GET['formula'] = '(x+y)/z';

  $eq = new equation($_GET['formula']);

  echo "<map name=\"equation\">\n";
  foreach($eq->token_locations() as $record)
  {
    list($name, $x, $y, $width, $height) = $record;
    $x2 = $x + $width;
    $y2 = $y + $height;
    echo "  <area shap=\"rectangle\" coords=\"$x,$y,$x2,$y2\" alt=\"$name\" href=\"javascript:alert('$name')\" />\n";
  }
  echo "</map>\n";

  $width = imagesx($eq->image);
  $height = imagesy($eq->image);
  $formula = urlencode($_GET['formula']);
  echo "<img src=\"draw.php?formula=$formula\" usemap=\"#equation\" alt=\"{$_GET['formula']}\" width=\"$width\" height=\"$height\" />\n";
?>
